using System;

namespace InABox.Core
{
    public interface IDimensions
    {
        IDimensionUnit GetUnit();
        double Quantity { get; set; }
        double Length { get; set; }
        double Width { get; set; }
        double Height { get; set; }
        double Weight { get; set; }
        double Value { get; set; }
        String UnitSize { get; set; }

        void Set(IDimensionUnit unit, double quantity, double length, double width, double height, double weight);
        void CopyFrom(IDimensions source, bool observing = false);
    }
}